function path_default(e) {
	for (var n = this, r = leastCommonAncestor(n, e), i = [n]; n !== r;) n = n.parent, i.push(n);
	for (var a = i.length; e !== r;) i.splice(a, 0, e), e = e.parent;
	return i;
}
function leastCommonAncestor(e, t) {
	if (e === t) return e;
	var n = e.ancestors(), r = t.ancestors(), i = null;
	for (e = n.pop(), t = r.pop(); e === t;) i = e, e = n.pop(), t = r.pop();
	return i;
}
export { path_default as default };
